function printClickTxt(fName, CT)

    fi = fopen(fName, 'w');
    
    m = round(mean(diff(CT)));
    
    fprintf(fi, 'Mean = %d (ms)\n\n', m);

    s = [fixLen(CT(1), 10, 0) fixLen(0, 10, 0)];
    fprintf(fi, '%s \n', s);
    for i = 2 : size(CT, 2)
        difAbs = abs(CT(i) - CT(i-1));
        s = [fixLen(CT(i), 10, 0) fixLen(CT(i) - CT(i-1), 10, 0)];
        if difAbs > m + m/10
            s = [s ' **'];
        end
        fprintf(fi, '%s \n', s);
    end

    fclose(fi);

end