// Leser max 100 bytes fra SD til  serial monitor

#include <SPI.h>
#include <SD.h>

const int chipSelect = 8;
File txtFile;

void setup() {
  pinMode(10, OUTPUT);
  digitalWrite(10, HIGH);
  // Open serial communications and wait for port to open:
  Serial.begin(9600);
  while (!Serial) {
    ; // wait for serial port to connect. Needed for native USB port only
  }

  Serial.print("Initializing SD card...");

  // see if the card is present and can be initialized:
  if (!SD.begin(chipSelect)) {
    Serial.println("Card failed, or not present");
    // don't do anything more:
    while (1);
  }
  Serial.println("card initialized.");

  // try to open the file for read
  txtFile = SD.open("1.txt", FILE_READ);
  if (!txtFile) {
    Serial.print("error opening ");
    Serial.println("1.txt");
    while (1);
  }

  int byteTeller = 0;
  while (txtFile.available() && byteTeller < 100) {
    Serial.write(txtFile.read());
    byteTeller++;
  }


  txtFile.close();
  Serial.println("Ferdig"); // går ut som int i monitor
}




void loop() {
}
