// Skrivr til og leser fra kort

#include <SPI.h>
#include <SD.h>

const int chipSelect = 8;
File txtFile;

void setup() {
  pinMode(10, OUTPUT);
  digitalWrite(10, HIGH);
  // Open serial communications and wait for port to open:
  Serial.begin(9600);
  while (!Serial) {
    ; // wait for serial port to connect. Needed for native USB port only
  }


  Serial.print("Initializing SD card...");

  // see if the card is present and can be initialized:
  if (!SD.begin(chipSelect)) {
    Serial.println("Card failed, or not present");
    // don't do anything more:
    while (1);
  }
  Serial.println("card initialized.");

SD.remove("1.txt");


  // try to open the file for writing
  txtFile = SD.open("1.txt", FILE_WRITE);
  if (!txtFile) {
    Serial.print("error opening ");
    Serial.println("1.txt");
    while (1);
  }

  // add some new lines to start
  int i = 888;
  txtFile.println(i);
  txtFile.print(234);
  txtFile.println(34);
  txtFile.close();

  // open the file. note that only one file can be open at a time,
  // so you have to close this one before opening another.
  txtFile = SD.open("1.txt");

  // if the file is available, write to serial:
  if (txtFile) {
    while (txtFile.available()) {
      Serial.write(txtFile.read());
    }
    txtFile.close();
  }
  // if the file isn't open, pop up an error:
  else {
    Serial.println("error opening 1.txt");
  }
}

void loop() {
}
