function [sinClickArr44] = addCommentToSinClick44(sinClickArr44, corStrArr)
   
    fs = 44100;
    Ts = 1/fs;
    
    % sinus
    tMax = 0.2; % 0.2 sec
    fSi1 = 1456; % 500Hz
    fSi2 = 1156; % 500Hz
    
    si = 0.5 * [sin(2*pi*fSi1*[0:Ts:tMax]) ; sin(2*pi*fSi1*[0:Ts:tMax])]' + 0.5 * [sin(2*pi*fSi2*[0:Ts:tMax]) ; sin(2*pi*fSi2*[0:Ts:tMax])]';
    siL = length(si);
    
    for i = 2 : size(corStrArr, 1)
       if corStrArr(i, 4) ~= "" % Com niv 1, legger på sin
           s1 = cl2sa(corStrArr, i);
           sinClickArr44(s1:s1 + siL - 1, :) = si;
       end
    end
    
end